function LearnRanger(RangerPerson)
{
  if (RangerPerson == "Player1")
  {
    if (Player.chrclass == "Ranger")
    {
      if (Player.level == 5)
      {
      Playerranger.animals = true;
      Talk_Window(Player.name + " Learned Animals!", Player.port);
      }
      if (Player.level == 7)
      {
      Playerranger.heal = true;
      Talk_Window(Player.name + " Learned Heal!", Player.port);
      }
      if (Player.level == 17)
      {
      Playerranger.defup = true;
      Talk_Window(Player.name + " Learned Defense-Up!", Player.port);
      }
      if (Player.level == 20)
      {
      Playerranger.powerup = true;
      Talk_Window(Player.name + " Learned Power-Up!", Player.port);
      }
      if (Player.level == 23)
      {
      Playerranger.evade = true;
      Talk_Window(Player.name + " Learned Evade-Up!", Player.port);
      }
      if (Player.level == 28)
      {
      Playerranger.heal2 = true;
      Talk_Window(Player.name + " Learned Heal 2!", Player.port);
      }
      if (Player.level == 35)
      {
      Playerranger.heal3 = true;
      Talk_Window(Player.name + " Learned Heal 3!", Player.port);
      }
    }
  }      
  else if (RangerPerson == "Player2")
  {
    if (Player2.chrclass == "Ranger")
    {
      if (Player2.level == 5)
      {
      Player2ranger.animals = true;
      Talk_Window(Player2.name + " Learned Animals!", Player2.port);
      }
      if (Player2.level == 7)
      {
      Player2ranger.heal = true;
      Talk_Window(Player2.name + " Learned Heal!", Player2.port);
      }
      if (Player2.level == 17)
      {
      Player2ranger.defup = true;
      Talk_Window(Player2.name + " Learned Defense-Up!", Player2.port);
      }
      if (Player2.level == 20)
      {
      Player2ranger.powerup = true;
      Talk_Window(Player2.name + " Learned Power-Up!", Player2.port);
      }
      if (Player2.level == 23)
      {
      Player2ranger.evade = true;
      Talk_Window(Player2.name + " Learned Evade-Up!", Player2.port);
      }
      if (Player2.level == 28)
      {
      Player2ranger.heal2 = true;
      Talk_Window(Player2.name + " Learned Heal 2!", Player2.port);
      }
      if (Player2.level == 35)
      {
      Player2ranger.heal3 = true;
      Talk_Window(Player2.name + " Learned Heal 3!", Player2.port);
      }
    }
  }
  else if (RangerPerson == "Player3")
  {
    if (Player3.chrclass == "Ranger")
    {
      if (Player3.level == 5)
      {
      Player3ranger.animals = true;
      Talk_Window(Player3.name + " Learned Animals!", Player3.port);
      }
      if (Player3.level == 7)
      {
      Player3ranger.heal = true;
      Talk_Window(Player3.name + " Learned Heal!", Player3.port);
      }
      if (Player3.level == 17)
      {
      Player3ranger.defup = true;
      Talk_Window(Player3.name + " Learned Defense-Up!", Player3.port);
      }
      if (Player3.level == 20)
      {
      Player3ranger.powerup = true;
      Talk_Window(Player3.name + " Learned Power-Up!", Player3.port);
      }
      if (Player3.level == 23)
      {
      Player3ranger.evade = true;
      Talk_Window(Player3.name + " Learned Evade-Up!", Player3.port);
      }
      if (Player3.level == 28)
      {
      Player3ranger.heal2 = true;
      Talk_Window(Player3.name + " Learned Heal 2!", Player3.port);
      }
      if (Player3.level == 35)
      {
      Player3ranger.heal3 = true;
      Talk_Window(Player3.name + " Learned Heal 3!", Player3.port);
      }
    }
  }
}       

